http://amplify.{region}.amazonaws.com/apps/{appId}/domainsCreates a new domain association for an Amplify app. This action associates a custom domain with the Amplify app
The unique ID for an Amplify app.
The domain name for the domain association.
The setting for the subdomain.
Enables the automated creation of subdomains for branches.
The required AWS Identity and Access Management (IAM) service role for the Amazon Resource Name (ARN) for automatically creating subdomains.
Sets the branch patterns for automatic subdomain creation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/domains' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplify.{region}.amazonaws.com/apps/{appId}/domainsCreates a new domain association for an Amplify app. This action associates a custom domain with the Amplify app
The unique ID for an Amplify app.
The domain name for the domain association.
The setting for the subdomain.
Enables the automated creation of subdomains for branches.
The required AWS Identity and Access Management (IAM) service role for the Amazon Resource Name (ARN) for automatically creating subdomains.
Sets the branch patterns for automatic subdomain creation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/domains' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}